/*
 * autotimeredit: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: update.h 1.1 2004/04/24 10:08:10 hflor Exp $
 */

#ifndef __UPDATE_H
#define __UPDATE_H

#include <vdr/thread.h>

class cUpdateThread : public cThread {
private:
  char *cmd;
  pid_t pid;
  time_t starttime;
public:
  cUpdateThread(char *RunCMD);
  virtual ~cUpdateThread(void);
  pid_t PID(void) { return pid; }
  time_t StartTime(void) { return starttime; }
  void Stop(void);
protected:
  virtual void Action(void);
};

#endif //__UPDATE_H
